SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all

Bug #1908992 reported by Wolfgang Schupp on 2020-12-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Focal
Medium
Unassigned
Groovy
Medium
Unassigned
linux-oem-5.10 (Ubuntu)
Undecided
Unassigned
Focal
Medium
Unassigned
Groovy
Undecided
Unassigned

Bug Description

== SRU Justification ==
[Impact]
Pointstick and its left right buttons don't work on EliteBook 859 G7.

[Fix]
Use the MT_CLS_WIN_8_FORCE_MULTI_INPUT so the usage collection for
pointsitck and touchpad won't merge together.

[Test]
With the patch applied, pointstick and its left and right buttons start
to work.

[Where problems could occur]
The quirk limits to one specific touchpad/pointstick combo, so
regression would be highly unlikely.

== Original Bug Report ==

$ xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Mouse id=11 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Touchpad id=12 [slave pointer (2)]

The touchpad is working fine, but the pointing stick/trackpoint does not work at all.
No input is registered with xinput and libinput device tests.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xserver-xorg-input-libinput 0.29.0-1
ProcVersionSignature: Ubuntu 5.8.0-33.36~20.04.1-generic 5.8.17
Uname: Linux 5.8.0-33-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.14
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CurrentDesktop: XFCE
Date: Tue Dec 22 10:13:13 2020
DistUpgraded: 2020-12-22 07:48:08,643 DEBUG /openCache(), new cache size 70584
DistroCodename: focal
DistroVariant: ubuntu
InstallationDate: Installed on 2020-12-11 (10 days ago)
InstallationMedia: Xubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
MachineType: HP HP EliteBook 850 G7 Notebook PC
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.8.0-33-generic root=/dev/mapper/vgxubuntu-root ro quiet splash psmouse.proto=bare
SourcePackage: xserver-xorg-input-libinput
UpgradeStatus: Upgraded to focal on 2020-12-22 (0 days ago)
dmi.bios.date: 08/24/2020
dmi.bios.release: 1.7
dmi.bios.vendor: HP
dmi.bios.version: S73 Ver. 01.01.07
dmi.board.name: 8724
dmi.board.vendor: HP
dmi.board.version: KBC Version 06.34.00
dmi.chassis.asset.tag: 5CG0471SRC
dmi.chassis.type: 10
dmi.chassis.vendor: HP
dmi.ec.firmware.release: 6.52
dmi.modalias: dmi:bvnHP:bvrS73Ver.01.01.07:bd08/24/2020:br1.7:efr6.52:svnHP:pnHPEliteBook850G7NotebookPC:pvr:rvnHP:rn8724:rvrKBCVersion06.34.00:cvnHP:ct10:cvr:
dmi.product.family: 103C_5336AN HP EliteBook
dmi.product.name: HP EliteBook 850 G7 Notebook PC
dmi.product.sku: 1J6F3EA#ABD
dmi.sys.vendor: HP
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Wolfgang Schupp (wsnipex) wrote :
affects: ubuntu → xserver-xorg-input-libinput (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-libinput (Ubuntu):
status: New → Confirmed
Leon Workman (leonworkman) wrote :
Download full text (7.7 KiB)

Exact same system model and Synaptics device. We're interested in getting the top two physical buttons working. xev does not even register anything when the buttons are pressed.
List of things attempted:

1.
xserver-xorg-input-synaptics breaks the touchpad altogether when installed, under-touchpad ones no longer register a central button 2.

With xserver-xorg-input-synaptics installed and x.org using, "Using input driver 'synaptics' for 'SYNA30B4:00 06CB:CE09 Touchpad'",

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Mouse id=12 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Touchpad id=13 [slave pointer (2)]
⎜ ↳ Kensington Kensington Expert Mouse id=14 [slave pointer (2)]
⎜ ↳ HID 0566:3013 Consumer Control id=16 [slave pointer (2)]
⎜ ↳ Generic USB Audio Consumer Control id=19 [slave pointer (2)]
⎜ ↳ Generic USB Audio Consumer Control id=21 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
↳ Power Button id=6 [slave keyboard (3)]
↳ Video Bus id=7 [slave keyboard (3)]
↳ Power Button id=8 [slave keyboard (3)]
↳ Sleep Button id=9 [slave keyboard (3)]
↳ HP HD Camera: HP HD Camera id=10 [slave keyboard (3)]
↳ HP HD Camera: HP IR Camera id=11 [slave keyboard (3)]
↳ HID 0566:3013 id=15 [slave keyboard (3)]
↳ HID 0566:3013 System Control id=17 [slave keyboard (3)]
↳ HID 0566:3013 id=18 [slave keyboard (3)]
↳ Generic USB Audio id=20 [slave keyboard (3)]
↳ Generic USB Audio id=22 [slave keyboard (3)]
↳ Intel HID events id=23 [slave keyboard (3)]
↳ Intel HID 5 button array id=24 [slave keyboard (3)]
↳ AT Translated Set 2 keyboard id=25 [slave keyboard (3)]
↳ HP Wireless hotkeys id=26 [slave keyboard (3)]
↳ HP WMI hotkeys id=27 [slave keyboard (3)]
↳ HID 0566:3013 Consumer Control id=28 [slave keyboard (3)]
↳ Generic USB Audio Consumer Control id=29 [slave keyboard (3)]
↳ Generic USB Audio Consumer Control id=30 [slave keyboard (3)]

Using input driver 'libinput' for 'SYNA30B4:00 06CB:CE09 Touchpad'",

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ KEYBOARD Consumer Control id=11 [slave pointer (2)]
⎜ ↳ HID 0566:3013 Consumer Control id=14 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Mouse id=19 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Touchpad id=20 [slave pointer (2)]
⎜ ↳ Kensington Kensington Expert Mouse id=21 [slave pointer (2)]
⎜ ↳ Generic USB Audio Consumer Control id=22 [slave pointer (2)]
⎜ ↳ Generic USB Audio Consumer Control id=24 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
↳ Power Button id=6 [slave keyboard (3)]
↳ Video Bus id=7 [slave keyboard (3)]
↳ Power Button id=8 [slave keyboard (3)]
↳ Sleep Button id=9 [slave keyboard (3)]
↳ KEYBOARD id=10 [slave keyboard (3)]
↳ KEYBOARD System Control id=12 [slave keyboard (3)]
↳ HID 0566:3013 id=13 [slave keyboard (3)]
↳ HID 0566:3013 System Control id=15 [slave keyboard (3)]
↳ HID 0566:3013 id=16 [slave keyboard (3)]
↳ HP HD Camera: HP HD Camera id=17 [slave keyboard (3)]
↳ HP HD Camera: HP...

Read more...

Orhan Cakan (ocakan) wrote :

Same problem here, the pointing stick/trackpoint does not work.

MachineType: HP HP EliteBook 850 G7 Notebook PC
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.8.0-33-generic root=/dev/mapper/vgxubuntu-root ro quiet splash psmouse.proto=bare
SourcePackage: xserver-xorg-input-libinput
Package: xserver-xorg-input-libinput 0.29.0-1

$ xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Mouse id=11 [slave pointer (2)]
⎜ ↳ SYNA30B4:00 06CB:CE09 Touchpad id=12 [slave pointer (2)]

Timo Aaltonen (tjaalton) on 2021-01-05
affects: xserver-xorg-input-libinput (Ubuntu) → linux (Ubuntu)
Changed in linux-oem-5.10 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu Focal):
status: New → Confirmed
Changed in linux (Ubuntu Groovy):
status: New → Confirmed
Changed in linux (Ubuntu Focal):
status: New → Confirmed
importance: Undecided → Medium
Changed in linux (Ubuntu Groovy):
importance: Undecided → Medium
Changed in linux-oem-5.10 (Ubuntu Focal):
importance: Undecided → Medium
description: updated
tags: added: oem-priority originate-from-1909426 stella
Timo Aaltonen (tjaalton) on 2021-01-12
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux-oem-5.10 (Ubuntu Focal):
status: Confirmed → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
tags: added: verification-done-focal
removed: verification-needed-focal
Wolfgang Schupp (wsnipex) wrote :

Since linux-oem-5.10 - 5.10.0-1010.11 doesn't seem to have hit the mirrors yet, I've installed it from the kernel PPA. https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa

Works for me, thank you!

Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Groovy):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.10 - 5.10.0-1011.12

---------------
linux-oem-5.10 (5.10.0-1011.12) focal; urgency=medium

  * focal/linux-oem-5.10: 5.10.0-1011.12 -proposed tracker (LP: #1913030)

  * Support CML-S CPU + TGP PCH (LP: #1909457)
    - Revert "UBUNTU: SAUCE: drm/i915/rkl: new rkl ddc map for different PCH"
    - drm/i915/dg1: gmbus pin mapping
    - drm/i915/dg1: Don't program PHY_MISC for PHY-C and PHY-D
    - drm/i915/dg1: add hpd interrupt handling
    - drm/i915/display/ehl: Limit eDP to HBR2
    - drm/i915/jsl: Split EHL/JSL platform info and PCI ids
    - drm/i915: Add PORT_TCn aliases to enum port
    - drm/i915: s/PORT_TC/TC_PORT_/
    - drm/i915/rkl: new rkl ddc map for different PCH
    - SAUCE: drm/i915/gen9_bc : Add TGP PCH support

  * backlight parsing for VBT 234+ (LP: #1912157)
    - drm/i915/vbt: Fix backlight parsing for VBT 234+
    - drm/i915/vbt: Update the version and expected size of
      BDB_GENERAL_DEFINITIONS map
    - drm/i915/vbt: Add VRR VBT toggle

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

 -- Timo Aaltonen <email address hidden> Mon, 25 Jan 2021 11:43:18 +0200

Changed in linux-oem-5.10 (Ubuntu Focal):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
tags: added: verification-done-groovy
removed: verification-needed-groovy
Launchpad Janitor (janitor) wrote :
Download full text (20.7 KiB)

This bug was fixed in the package linux - 5.10.0-14.15

---------------
linux (5.10.0-14.15) hirsute; urgency=medium

  * hirsute/linux: 5.10.0-14.15 -proposed tracker (LP: #1913724)

  * Restore palm ejection on multi-input devices (LP: #1913520)
    - HID: multitouch: Apply MT_QUIRK_CONFIDENCE quirk for multi-input devices

  * intel-hid is not loaded on new Intel platform (LP: #1907160)
    - platform/x86: intel-hid: add Rocket Lake ACPI device ID

  * Hirsute update: v5.10.11 upstream stable release (LP: #1913430)
    - scsi: target: tcmu: Fix use-after-free of se_cmd->priv
    - mtd: rawnand: gpmi: fix dst bit offset when extracting raw payload
    - mtd: rawnand: nandsim: Fix the logic when selecting Hamming soft ECC engine
    - i2c: tegra: Wait for config load atomically while in ISR
    - i2c: bpmp-tegra: Ignore unknown I2C_M flags
    - platform/x86: ideapad-laptop: Disable touchpad_switch for ELAN0634
    - ALSA: seq: oss: Fix missing error check in snd_seq_oss_synth_make_info()
    - ALSA: hda/realtek - Limit int mic boost on Acer Aspire E5-575T
    - ALSA: hda/via: Add minimum mute flag
    - crypto: xor - Fix divide error in do_xor_speed()
    - dm crypt: fix copy and paste bug in crypt_alloc_req_aead
    - ACPI: scan: Make acpi_bus_get_device() clear return pointer on error
    - btrfs: don't get an EINTR during drop_snapshot for reloc
    - btrfs: do not double free backref nodes on error
    - btrfs: fix lockdep splat in btrfs_recover_relocation
    - btrfs: don't clear ret in btrfs_start_dirty_block_groups
    - btrfs: send: fix invalid clone operations when cloning from the same file
      and root
    - fs: fix lazytime expiration handling in __writeback_single_inode()
    - pinctrl: ingenic: Fix JZ4760 support
    - mmc: core: don't initialize block size from ext_csd if not present
    - mmc: sdhci-of-dwcmshc: fix rpmb access
    - mmc: sdhci-xenon: fix 1.8v regulator stabilization
    - mmc: sdhci-brcmstb: Fix mmc timeout errors on S5 suspend
    - dm: avoid filesystem lookup in dm_get_dev_t()
    - dm integrity: fix a crash if "recalculate" used without "internal_hash"
    - dm integrity: conditionally disable "recalculate" feature
    - drm/atomic: put state on error path
    - drm/syncobj: Fix use-after-free
    - drm/amdgpu: remove gpu info firmware of green sardine
    - drm/amd/display: DCN2X Find Secondary Pipe properly in MPO + ODM Case
    - drm/i915/gt: Prevent use of engine->wa_ctx after error
    - drm/i915: Check for rq->hwsp validity after acquiring RCU lock
    - ASoC: Intel: haswell: Add missing pm_ops
    - ASoC: rt711: mutex between calibration and power state changes
    - SUNRPC: Handle TCP socket sends with kernel_sendpage() again
    - HID: sony: select CONFIG_CRC32
    - dm integrity: select CRYPTO_SKCIPHER
    - x86/hyperv: Fix kexec panic/hang issues
    - scsi: ufs: Relax the condition of UFSHCI_QUIRK_SKIP_MANUAL_WB_FLUSH_CTRL
    - scsi: ufs: Correct the LUN used in eh_device_reset_handler() callback
    - scsi: qedi: Correct max length of CHAP secret
    - scsi: scsi_debug: Fix memleak in scsi_debug_init()
    - scsi: sd: Suppress spurious errors when WRITE SAME is being disabled
    - riscv: ...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (60.8 KiB)

This bug was fixed in the package linux - 5.4.0-66.74

---------------
linux (5.4.0-66.74) focal; urgency=medium

  * focal/linux: 5.4.0-66.74 -proposed tracker (LP: #1913152)

  * Add support for selective build of special drivers (LP: #1912789)
    - [Packaging] Add support for ODM drivers
    - [Packaging] Turn on ODM support for amd64

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * kvm: Windows 2k19 with Hyper-v role gets stuck on pending hypervisor
    requests on cascadelake based kvm hosts (LP: #1911848)
    - KVM: x86: Set KVM_REQ_EVENT if run is canceled with req_immediate_exit set

  * Ubuntu 20.10 four needed fixes to 'Add driver for Mellanox Connect-IB
    adapters' (LP: #1905574)
    - net/mlx5: Fix a race when moving command interface to polling mode

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron / ByteSpeed C15B (LP: #1910639)
    - Input: i8042 - unbreak Pegatron C15B

  * CVE-2020-29372
    - mm: check that mm is still valid in madvise()

  * update ENA driver, incl. new ethtool stats (LP: #1910291)
    - net: ena: Change WARN_ON expression in ena_del_napi_in_range()
    - net: ena: ethtool: convert stat_offset to 64 bit resolution
    - net: ena: eth...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (129.8 KiB)

This bug was fixed in the package linux - 5.8.0-44.50

---------------
linux (5.8.0-44.50) groovy; urgency=medium

  * groovy/linux: 5.8.0-44.50 -proposed tracker (LP: #1914805)

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - Revert "UBUNTU: SAUCE: e1000e: bump up timeout to wait when ME un-configure
      ULP mode"
    - e1000e: Only run S0ix flows if shutdown succeeded
    - Revert "e1000e: disable s0ix entry and exit flows for ME systems"
    - e1000e: Export S0ix flags to ethtool

  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570) //
    [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - e1000e: bump up timeout to wait when ME un-configures ULP mode

  * Cannot probe sata disk on sata controller behind VMD: ata1.00: failed to
    IDENTIFY (I/O error, err_mask=0x4) (LP: #1894778)
    - PCI: vmd: Offset Client VMD MSI-X vectors

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * [UBUNTU 21.04] vfio: pass DMA availability information to userspace
    (LP: #1907421)
    - vfio/type1: Refactor vfio_iommu_type1_ioctl()
    - vfio iommu: Add dma available capability

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron /...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers